//-----------------------------------------------------------------------------
// MEKA - capture.h
// Screen Capture - Headers
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Definitions
//-----------------------------------------------------------------------------

#define CAPTURE_ID_MAX          (9999)       // Security measure for not going in infinite loop with short file name.
#define CAPTURE_DEFAULT_PREFIX  "meka"

//-----------------------------------------------------------------------------
// Functions
//-----------------------------------------------------------------------------

void    Capture_Init                (void);
void    Capture_Init_Game           (void);
void    Capture_Request             (void);
void    Capture_Screen              (void);

//-----------------------------------------------------------------------------
// Data
//-----------------------------------------------------------------------------

typedef struct
{
  int           request;
  int           id_number;
  char *        filename_template;
}               t_capture;

t_capture       Capture;

//-----------------------------------------------------------------------------

